
QGIS Application - Bug report #8514

SEXTANTE plugins stopped working

2013-08-25 02:39 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee:

Category: Processing/Core

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 17271

Description

Following the rename of the plugin, its subplugins stopped working, e.g.:

Traceback (most recent call last):

  File "/usr/lib/python2.7/dist-packages/qgis/utils.py", line 204, in startPlugin

    plugins[packageName] = package.classFactory(iface)

  File "/home/paolo/.qgis2/python/plugins/sextantelwgeomprovider/__init__.py", line

50, in classFactory

    from sextantelwgeomprovider.SextanteLwgeomProviderPlugin import

SextanteLwgeomProviderPlugin

  File "/usr/lib/python2.7/dist-packages/qgis/utils.py", line 453, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File

"/home/paolo/.qgis2/python/plugins/sextantelwgeomprovider/SextanteLwgeomProviderPlugin.py",

line 28, in

    from sextante.core.Sextante import Sextante

  File "/usr/lib/python2.7/dist-packages/qgis/utils.py", line 453, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

ImportError: No module named sextante.core.Sextante

Better define an alias, to keep all of them working, at least as a temporary measure.

History

#1 - 2013-08-25 02:40 AM - Paolo Cavallini

- Category set to 94

#2 - 2014-03-25 06:42 AM - Alexander Bruy

- Status changed from Open to Feedback

Seems now plugins works fine. Can we close this?

#3 - 2014-03-25 06:44 AM - Paolo Cavallini

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

#4 - 2015-06-07 04:26 AM - Giovanni Manghi

2024-04-10 1/2



- Category changed from 94 to Processing/Core
